Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.preference
Class PreferenceContentProvider

    java.lang.Object
      org.eclipse.jface.preference.PreferenceContentProvider

All Implemented Interfaces:
  IContentProvider, IStructuredContentProvider, ITreeContentProvider

public class PreferenceContentProvider
extends Object
implements ITreeContentProvider

Provides a tree model for `PreferenceManager` content.

Since:
  3.0

Constructor Summary
`PreferenceContentProvider()`

Method Summary
`void` | `dispose()` Disposes of this content provider.
`Object[]` | `getChildren(Object parentElement)` Returns the child elements of the given parent element.
`Object[]` | `getElements(Object inputElement)` Returns the elements to display in the viewer when its input is set to the given element.
`Object` | `getParent(Object element)` Returns the parent for the given element, or `null` indicating that the parent can't be computed.
`boolean` | `hasChildren(Object element)` Returns whether the given element has children.
`void` | `inputChanged(Viewer viewer, Object oldInput, Object newInput)` Notifies this content provider that the given viewer's input has been switched to a different element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreferenceContentProvider

    public PreferenceContentProvider()

Method Detail

### dispose

    public void dispose()

  Description copied from interface: `IContentProvider`
  Disposes of this content provider. This is called by the viewer when it is disposed.

  The viewer should not be updated during this call, as it is in the process of being disposed.

  Specified by:
    `dispose` in interface `IContentProvider`

### getChildren

    public Object[] getChildren(Object parentElement)

  Description copied from interface: `ITreeContentProvider`
  Returns the child elements of the given parent element.

  The difference between this method and `IStructuredContentProvider.getElements` is that `getElements` is called to obtain the tree viewer's root elements, whereas `getChildren` is used to obtain the children of a given parent element in the tree (including a root).

  The result is not modified by the viewer.

  Specified by:
    `getChildren` in interface `ITreeContentProvider`
  Parameters:
    `parentElement` - the parent element
  Returns:
    an array of child elements

### getElements

    public Object[] getElements(Object inputElement)

  Description copied from interface: `IStructuredContentProvider`
  Returns the elements to display in the viewer when its input is set to the given element. These elements can be presented as rows in a table, items in a list, etc. The result is not modified by the viewer.

  Specified by:
    `getElements` in interface `IStructuredContentProvider`
  Parameters:
    `inputElement` - the input element
  Returns:
    the array of elements to display in the viewer

### getParent

    public Object getParent(Object element)

  Description copied from interface: `ITreeContentProvider`
  Returns the parent for the given element, or `null` indicating that the parent can't be computed. In this case the tree-structured viewer can't expand a given node correctly if requested.

  Specified by:
    `getParent` in interface `ITreeContentProvider`
  Parameters:
    `element` - the element
  Returns:
    the parent element, or `null` if it has none or if the parent cannot be computed

### hasChildren

    public boolean hasChildren(Object element)

  Description copied from interface: `ITreeContentProvider`
  Returns whether the given element has children.

  Intended as an optimization for when the viewer does not need the actual children. Clients may be able to implement this more efficiently than `getChildren`.

  Specified by:
    `hasChildren` in interface `ITreeContentProvider`
  Parameters:
    `element` - the element
  Returns:
    `true` if the given element has children, and `false` if it has no children

### inputChanged

    public void inputChanged(Viewer viewer,
                             Object oldInput,
                             Object newInput)

  Description copied from interface: `IContentProvider`
  Notifies this content provider that the given viewer's input has been switched to a different element.

  A typical use for this method is registering the content provider as a listener to changes on the new input (using model-specific means), and deregistering the viewer from the old input. In response to these change notifications, the content provider should update the viewer (see the add, remove, update and refresh methods on the viewers).

  The viewer should not be updated during this call, as it might be in the process of being disposed.

  Specified by:
    `inputChanged` in interface `IContentProvider`
  Parameters:
    `viewer` - the viewer
    `oldInput` - the old input element, or `null` if the viewer did not previously have an input
    `newInput` - the new input element, or `null` if the viewer does not have an input

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.